Bug 485875 - missing options in satellite-sync.8
missing options in satellite-sync.8
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
530
All Linux
low Severity low
: ---
: ---
Assigned To: Pradeep Kilambi
Jan Hutař
:
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-02-17 02:40 EST by Jan Hutař
Modified: 2009-09-10 16:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:33:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2009-02-17 02:40:46 EST
Description of problem:
There are missing options in the rhn-satellite-exporter.8 man-page, but
'--help' lists them.


Version-Release number of selected component (if applicable):
spacewalk-backend-tools-0.5.6-1.el5sat


How reproducible:
always


Steps to Reproduce:
1. # satellite-sync --help
2. # man satellite-sync


Actual results:
Missing in man page:
	--rhn-cert
	-l


Expected results:
All options should be in both outputs (man page and --help message)


Additional info:
Used mmalik's script for this (gives some false-positives):
# cd /mnt/qa/scratch/mmalik/options-comparator/
# ./compare-options.sh `type -p satellite-sync`
Program path:
	/usr/bin/satellite-sync
Guessing man page path:
	/usr/share/man/man8/satellite-sync.8.gz
The binary analysis was NOT done
Doing man page vs. usage message comparison

The program reported 37 option(s)
The man page reported 34 option(s)
34 COMMON option(s):
	--batch-size
	--ca-cert
	--cache-refresh-level
	--channel
	--db
	--debug-level
	--email
	--force-all-errata
	--force-all-packages
	--help
	--http-proxy
	--http-proxy-password
	--http-proxy-username
	--iss-parent
	--list-channels
	--list-error-codes
	--mount-point
	--no-errata
	--no-kickstarts
	--no-packages
	--no-rpms
	--no-ssl
	--orgid
	--print-configuration
	--server
	--step
	--systemid
	--traceback-mail
	-c
	-d
	-h
	-m
	-p
	-s
3 option(s) reported by the program ONLY:
	--rhn-cert
	--usage
	-l
0 option(s) reported by the man page ONLY:
Comment 1 Jan Hutař 2009-02-17 03:42:47 EST
Few more things I have noticed while reading man-page:

       Options set by default if no options  given:  --cache-refresh-level  2,
       and all --step options.
       * Why do we notice "--cache-refresh-level" here when it is deprecated?

       -mDIRECTORY, --mount-point=DIRECTORY
              mount point for import : disk  update  or  disconnected  install
              only.
       * Could we clarify "disk  update  or  disconnected  install"? I know
         -m stands for "path to the directory with channel dumps", but do not
         know what does "disconnected  install" mean here.

       --force-all-packages
              forcibly  process  all  full package metadata regardless of diff
              results.
       * Should be "process  all  full package" -> "process full package"?

       --email
              e-mail a report of what was synced/imported (sent to whomever is
              considered the receiver of "traceback_email").
       * satellite-sync sent me (administrator of the server) the email even
         when I did not provided this option. Is that all right?

I know all this are insignificant issues, but better to ask :)
Comment 3 Jan Hutař 2009-04-01 02:21:40 EDT
VERIFIED on Satellite-5.3.0-RHEL5-re20090327.0-x86_64.
Comment 4 Miroslav Suchý 2009-08-25 11:27:15 EDT
--rhn-cert
              satellite certificate to import(use only with -m option)

-l, --list-channels
              list all available channels for import/syncing and exit.

...
forcibly process full package metadata regardless of diff results.

verified in stage on xen5
Comment 5 Brandon Perkins 2009-09-10 16:33:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.